Package org.bukkit.attribute

# Enum Class Attribute

java.lang.Object
java.lang.Enum<Attribute>
org.bukkit.attribute.Attribute

All Implemented Interfaces:
  `Serializable`, `Comparable<Attribute>`, `Constable`, `net.kyori.adventure.key.Keyed`, `Translatable`, `Keyed`

public enum Attribute extends Enum<Attribute> implements Keyed, Translatable
Types of attributes which may be present on an `Attributable`.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`GENERIC_ARMOR`
Armor bonus of an Entity.
`GENERIC_ARMOR_TOUGHNESS`
Armor durability bonus of an Entity.
`GENERIC_ATTACK_DAMAGE`
Attack damage of an Entity.
`GENERIC_ATTACK_KNOCKBACK`
Attack knockback of an Entity.
`GENERIC_ATTACK_SPEED`
Attack speed of an Entity.
`GENERIC_FLYING_SPEED`
Flying speed of an Entity.
`GENERIC_FOLLOW_RANGE`
Range at which an Entity will follow others.
`GENERIC_KNOCKBACK_RESISTANCE`
Resistance of an Entity to knockback.
`GENERIC_LUCK`
Luck bonus of an Entity.
`GENERIC_MAX_HEALTH`
Maximum health of an Entity.
`GENERIC_MOVEMENT_SPEED`
Movement speed of an Entity.
`HORSE_JUMP_STRENGTH`
Strength with which a horse will jump.
`ZOMBIE_SPAWN_REINFORCEMENTS`
Chance of a zombie to spawn reinforcements.

## Method Summary

Modifier and Type
Method
Description
`@NotNull NamespacedKey`
`getKey()`
Return the namespaced identifier for this object.
`@NotNull String`
`translationKey()`
Gets the translation key.
`static Attribute`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Attribute[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.bukkit.Keyed

`key`

## Enum Constant Details

### GENERIC_MAX_HEALTH

public static final Attribute GENERIC_MAX_HEALTH
Maximum health of an Entity.

### GENERIC_FOLLOW_RANGE

public static final Attribute GENERIC_FOLLOW_RANGE
Range at which an Entity will follow others.

### GENERIC_KNOCKBACK_RESISTANCE

public static final Attribute GENERIC_KNOCKBACK_RESISTANCE
Resistance of an Entity to knockback.

### GENERIC_MOVEMENT_SPEED

public static final Attribute GENERIC_MOVEMENT_SPEED
Movement speed of an Entity.

### GENERIC_FLYING_SPEED

public static final Attribute GENERIC_FLYING_SPEED
Flying speed of an Entity.

### GENERIC_ATTACK_DAMAGE

public static final Attribute GENERIC_ATTACK_DAMAGE
Attack damage of an Entity.

### GENERIC_ATTACK_KNOCKBACK

public static final Attribute GENERIC_ATTACK_KNOCKBACK
Attack knockback of an Entity.

### GENERIC_ATTACK_SPEED

public static final Attribute GENERIC_ATTACK_SPEED
Attack speed of an Entity.

### GENERIC_ARMOR

public static final Attribute GENERIC_ARMOR
Armor bonus of an Entity.

### GENERIC_ARMOR_TOUGHNESS

public static final Attribute GENERIC_ARMOR_TOUGHNESS
Armor durability bonus of an Entity.

### GENERIC_LUCK

public static final Attribute GENERIC_LUCK
Luck bonus of an Entity.

### HORSE_JUMP_STRENGTH

public static final Attribute HORSE_JUMP_STRENGTH
Strength with which a horse will jump.

### ZOMBIE_SPAWN_REINFORCEMENTS

public static final Attribute ZOMBIE_SPAWN_REINFORCEMENTS
Chance of a zombie to spawn reinforcements.

## Method Details

### values

public static Attribute[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Attribute valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getKey

@NotNull public @NotNull NamespacedKey getKey()
Description copied from interface: `Keyed`
Return the namespaced identifier for this object.

Specified by:
  `getKey` in interface `Keyed`
Returns:
  this object's key

### translationKey

@NotNull public @NotNull String translationKey()
Description copied from interface: `net.kyori.adventure.translation.Translatable`
Gets the translation key.

Specified by:
  `translationKey` in interface `Translatable`
Returns:
  the translation key